Unable to add listeners to plugin.xml for Android Studio plugin

Answered

When I try to add a listener to my plugin.xml, the element is highlighted in red with message: "Could not determine target platform version, please check project setup"

My build.gradle is configured like so (as per https://jetbrains.org/intellij/sdk/docs/products/android_studio.html)

intellij {
version '193.6911.18'
type 'IC'
plugins 'android'
}

If I change it to:

intellij {
version '2020.2.3'
}

It works.

5 comments
Comment actions Permalink

Which version of AS do you want to set as a target?

0
Comment actions Permalink

Ok, it's actually a bug in the DevKit plugin that results in that red highlight when you're passing a build number as a version.

The fix should be available within IJ 2020.3.

For now, you can disable that inspection or ignore it; sorry for the inconvenience!

0
Comment actions Permalink

Ok, thanks for quick response!

0

Please sign in to leave a comment.